%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate serde_json

Name:           rust-serde_json
Version:        1.0.117
Release:    	1%{?dist}
Summary:        JSON serialization file format

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/serde_json
Source0:         %{crates_source}
Patch:          0001-Adapt-tests-so-they-can-be-compiled-with-stable-Rust.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A JSON serialization file format.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary_precision-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary_precision-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary_precision" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary_precision-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+float_roundtrip-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float_roundtrip-devel %{_description}

This package contains library source intended for building other packages which
use the "float_roundtrip" feature of the "%{crate}" crate.

%files       -n %{name}+float_roundtrip-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+preserve_order-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+preserve_order-devel %{_description}

This package contains library source intended for building other packages which
use the "preserve_order" feature of the "%{crate}" crate.

%files       -n %{name}+preserve_order-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+raw_value-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+raw_value-devel %{_description}

This package contains library source intended for building other packages which
use the "raw_value" feature of the "%{crate}" crate.

%files       -n %{name}+raw_value-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unbounded_depth-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unbounded_depth-devel %{_description}

This package contains library source intended for building other packages which
use the "unbounded_depth" feature of the "%{crate}" crate.

%files       -n %{name}+unbounded_depth-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.117-1
- initial build
